View Issue Details

IDProjectCategoryView StatusLast Update
0003185unrealircdpublic2020-09-27 19:46
ReporterdjGrrr Assigned To 
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionreopened 
Platform*OS* 
Product Version3.2.6 
Summary0003185: remote includes need the option to bind to a specfic ip
DescriptionI think that there needs to be a way to do a remote include while binding the connection to a specific ip, as currently it simply uses the default ip of the machine its running on.

maybe syntax like:
include "http://www.example.com/unrealircd.conf" { bind-ip 192.168.2.34; };
TagsNo tags attached.
3rd party modules

Activities

syzop

2007-01-24 15:11

administrator   ~0013105

tech info:
http://curl.haxx.se/libcurl/c/curl_easy_setopt.html
CURLOPT_INTERFACE

Bricker

2007-01-27 16:57

reporter   ~0013124

iirc remote includes has a lot of issues. code should probably should be looked at again, unless im just out of date and havn't noticed the fixes for it previously (ie https etc)

Trocotronic

2007-03-08 10:42

reporter   ~0013289

Added in .2341

aquanight

2007-11-21 00:06

reporter   ~0014819

Reopening to consider for backporting to 3.2* (requested by Stealth).

syzop

2007-11-28 09:54

administrator   ~0014858

sounds good

syzop

2020-09-27 19:46

administrator   ~0021768

Last edited: 2020-09-27 19:46

View 2 revisions

Doesn't sound too useful and hard to implement nicely (indeed only via include::bind-ip but that looks so ugly). If you have IP restrictions on the webserver then just set it on the other IP ? Closing..

Issue History

Date Modified Username Field Change
2007-01-03 11:58 djGrrr New Issue
2007-01-24 15:11 syzop Note Added: 0013105
2007-01-24 15:11 syzop Status new => acknowledged
2007-01-27 16:57 Bricker Note Added: 0013124
2007-03-03 14:14 Trocotronic Status acknowledged => assigned
2007-03-03 14:15 Trocotronic Assigned To => Trocotronic
2007-03-08 10:42 Trocotronic Status assigned => resolved
2007-03-08 10:42 Trocotronic Fixed in Version => 3.3-alpha0
2007-03-08 10:42 Trocotronic Resolution open => fixed
2007-03-08 10:42 Trocotronic Note Added: 0013289
2007-11-21 00:06 aquanight QA => Not touched yet by developer
2007-11-21 00:06 aquanight U4: Need for upstream patch => No need for upstream InspIRCd patch
2007-11-21 00:06 aquanight U4: Upstream notification of bug => Not decided
2007-11-21 00:06 aquanight U4: Contributor working on this => None
2007-11-21 00:06 aquanight Note Added: 0014819
2007-11-21 00:06 aquanight Status resolved => feedback
2007-11-21 00:06 aquanight Resolution fixed => reopened
2007-11-28 09:54 syzop Note Added: 0014858
2020-09-27 19:46 syzop Assigned To Trocotronic =>
2020-09-27 19:46 syzop Status feedback => closed
2020-09-27 19:46 syzop Fixed in Version 3.3-alpha0 =>
2020-09-27 19:46 syzop Note Added: 0021768
2020-09-27 19:46 syzop Note Edited: 0021768 View Revisions